proc infoHTML {msg} { 
    set x 0
    set msg [string range $msg 1 [expr [string last "\<hr\>" [string tolower $msg]] - 1]]
    if {[string match "*aol_icon.gif*" $msg]} { tac_output "AOL User" }
    if {[string match "*free_icon.gif*" $msg]} { tac_output "AIM User" }
    if {[string match "*dt_icon.gif*" $msg]} { tac_output "Trial User" }
    if {[string match "*admin_icon.gif*" $msg]} { tac_output "Administrator" }
    set msg [string range $msg [expr [string first "\<hr\>" [string tolower $msg]] - 1] end]

    foreach e [splitHTML $msg] {
        if {![regexp -- {^<.*>$} $e match tag]} {
            set e [string trim $e]
            if {[string length $e]} {
                tac_output $e
                set x 1 
            }
        }
    }
    if {$x == 0} { 
        tac_output "User information is blank." 
    }
}

proc tac_cmd_info {exp line} {
    if {![regexp -- {^(/[a-zA-Z0-9]+) +([a-zA-Z0-9]+) *$} $line match cmd name]} {
        tac_output "Usage: [tac_get_help $exp]"
        return
    }
    
    tac_output "User Information for $name"
    toc_get_info $::NSCREENNAME $name
}

tac_register_cmd "^/i "       tac_cmd_info           "  /i user          get info on user"
